package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Auther denghuajun
 * @Date 2021/8/18
 * @describe 暂降推送消息日志
 */
@Table(name = "PQS_EVENTPUSHLOGS")
public class EventPushLogs {
    @Id
    @Column(name = "LOGS_INDEX")
    private String logsIndex;
    @Column(name = "EVENTDETAIL_INDEX")
    private String eventDetailIndex;
    @Column(name = "LINE_INDEX")
    private Integer lineIndex;
    @Column(name = "CREAT_TIME")
    private Date creatTime;
    @Column(name = "UPDATE_TIME")
    private Date updateTime;
    @Column(name = "PUSHFAILED")
    private int pushFailed;
    @Column(name = "RESULT")
    private int result;
    @Column(name = "USER_UPDATETIME")
    private Date userUpdateTime;

    public String getLogsIndex() {
        return logsIndex;
    }

    public void setLogsIndex(String logsIndex) {
        this.logsIndex = logsIndex;
    }

    public String getEventDetailIndex() {
        return eventDetailIndex;
    }

    public void setEventDetailIndex(String eventDetailIndex) {
        this.eventDetailIndex = eventDetailIndex;
    }

    public Integer getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(Integer lineIndex) {
        this.lineIndex = lineIndex;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getPushFailed() {
        return pushFailed;
    }

    public void setPushFailed(int pushFailed) {
        this.pushFailed = pushFailed;
    }

    public int getResult() {
        return result;
    }

    public void setResult(int result) {
        this.result = result;
    }

    public Date getUserUpdateTime() {
        return userUpdateTime;
    }

    public void setUserUpdateTime(Date userUpdateTime) {
        this.userUpdateTime = userUpdateTime;
    }

    @Override
    public String toString() {
        return "EventPushLogs{" +
                "logsIndex='" + logsIndex + '\'' +
                ", eventDetailIndex='" + eventDetailIndex + '\'' +
                ", lineIndex=" + lineIndex +
                ", creatTime=" + creatTime +
                ", updateTime=" + updateTime +
                ", pushFailed=" + pushFailed +
                ", result=" + result +
                ", userUpdateTime=" + userUpdateTime +
                '}';
    }
}
